# Uses of Class
org.jboss.logging.processor.util.Objects.ToStringBuilder

Packages that use Objects.ToStringBuilder
Package
Description
org.jboss.logging.processor.util

## Uses of Objects.ToStringBuilder in org.jboss.logging.processor.util

Methods in org.jboss.logging.processor.util that return Objects.ToStringBuilder
Modifier and Type
Method
Description
`Objects.ToStringBuilder`
Objects.ToStringBuilder.`add(Object value)`
`Objects.ToStringBuilder`
Objects.ToStringBuilder.`add(String field, Object value)`
Adds the field and value to the value returned.
`static Objects.ToStringBuilder`
Objects.ToStringBuilder.`of(Class<?> clazz)`
Creates a new string builder for the `clazz`.
`static Objects.ToStringBuilder`
Objects.ToStringBuilder.`of(Object self)`
Creates a new string builder for the `self`.
`static Objects.ToStringBuilder`
Objects.ToStringBuilder.`of(String className)`
Creates a new string builder for the `className`.